#ifndef SC_H
#define SC_H

#define SCE(err)						\
	if ( (err) < 0 ) {						\
		fprintf(stderr, "SDL Error: %s\n", SDL_GetError());	\
		exit(EXIT_FAILURE);					\
	}

#define SCP(ptr)						\
	if ( (ptr) == NULL ) {						\
		fprintf(stderr, "SDL Error: %s\n", SDL_GetError());	\
		exit(EXIT_FAILURE);					\
	}

#endif
